Crash in markdown formatter causes ruby process to end
Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Text formatting Estimated time: 0.00 hour

Target version: 2.5.2   

Description

We observed this behavior at Planio when invalid markdown syntax was input by the user, which caused an exception in the link

callback declared in source:trunk/lib/redmine/wiki_formatting/markdown/formatter.rb because content was nil.

This exception seems to make the formatter instance unusable - the next time the formatter was used it crashed the whole ruby

process. This seems to be related to this redcarpet issue.

The patch contains a test case and the (trivial) fix to take care of content==nil in #link.

Associated revisions

Revision 13122 - 2014-05-02 08:57 - Jean-Philippe Lang

Crash in markdown formatter causes ruby process to end (#16781).

Patch by Jens Krämer.

Revision 13166 - 2014-05-24 18:40 - Jean-Philippe Lang

Merged r13122 (#16781).

History

#1 - 2014-04-30 10:38 - Jens Krämer

- File fix_link_callback_exception.diff added

the patch...

#2 - 2014-04-30 11:57 - Toshi MARUYAMA

- Category set to Text formatting

- Target version set to 2.5.2

#3 - 2014-05-02 08:57 - Jean-Philippe Lang

- Subject changed from crash in markdown formatter causes ruby process to end to Crash in markdown formatter causes ruby process to end

- Status changed from New to Resolved

- Assignee set to Jean-Philippe Lang

Committed in r13122, thanks.

#4 - 2014-05-24 18:40 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Merged.

Files

fix_link_callback_exception.diff 1.66 KB 2014-04-30 Jens Krämer

Powered by TCPDF (www.tcpdf.org)

2025-05-17 1/1

https://plan.io
https://www.redmine.org/projects/redmine/repository/svn/entry/trunk/lib/redmine/wiki_formatting/markdown/formatter.rb
